Bug 150607 - [patch] x11-toolkits/wxgtk28-unicode fix pkg-plist
[patch] x11-toolkits/wxgtk28-unicode fix pkg-plist
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Max Khon
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-15 22:50 UTC by aldis
Modified: 2010-10-04 17:10 UTC (History)
0 users

See Also:


Attachments
file.diff (540 bytes, patch)
2010-09-15 22:50 UTC, aldis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aldis 2010-09-15 22:50:01 UTC
When you make config and remove GSTREAMER pkg-plist isn't correct.
You will fail to build package because library libwx_gtk2u_media-2.8.so doesn't exist.

Attached patch to pkg-plist

P.S.
I didn't test "MS archives support" (I had no need for it), but maybe it also have same problem

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-09-15 22:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2010-09-15 23:04:54 UTC
Aldis Berjoza <aldis@bsdroot.lv> writes:

> --- pkg-plist.old	2010-09-16 00:24:16.029616620 +0300
> +++ pkg-plist	2010-09-16 00:30:35.322975733 +0300
> @@ -24,9 +24,9 @@
>  lib/libwx_gtk2u_html-2.8.so
>  lib/libwx_gtk2u_html-2.8.so.0
>  lib/libwx_gtk2u_html-2.8.so.0.6.0
> -lib/libwx_gtk2u_media-2.8.so
> -lib/libwx_gtk2u_media-2.8.so.0
> -lib/libwx_gtk2u_media-2.8.so.0.6.0
> +%%GSTREAMER%%lib/libwx_gtk2u_media-2.8.so
> +%%GSTREAMER%%lib/libwx_gtk2u_media-2.8.so.0
> +%%GSTREAMER%%lib/libwx_gtk2u_media-2.8.so.0.6.0
>  lib/libwx_gtk2u_qa-2.8.so
>  lib/libwx_gtk2u_qa-2.8.so.0
>  lib/libwx_gtk2u_qa-2.8.so.0.6.0

This was already submitted[1] as part of ports/146551 but never committed.
And the person that committed that PR was notified[2][3], too.

Thanks for filing PR, anyway.

[1] http://www.freebsd.org/cgi/query-pr.cgi?prp=146551-3-txt&n=/a.diff
[2] http://docs.freebsd.org/cgi/mid.cgi?86sk2xqjej.fsf
[3] http://docs.freebsd.org/cgi/mid.cgi?8639ult6n2.fsf_-_
Comment 3 dfilter freebsd_committer 2010-10-04 16:59:39 UTC
fjoe        2010-10-04 15:59:35 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/wxgtk28-unicode pkg-plist 
  Log:
  Fix pkg-plist with GSTREAMER is disabled.
  
  PR:             150607
  Submitted by:   Aldis Berjoza
  
  Revision  Changes    Path
  1.12      +3 -3      ports/x11-toolkits/wxgtk28-unicode/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Khon freebsd_committer 2010-10-04 17:00:00 UTC
State Changed
From-To: open->closed

The fix is committed. Thanks!